#ifndef GRIFODISPLAYDEVICE_H
#define GRIFODISPLAYDEVICE_H

#include <QObject>

#include <qgscopedevice.h>

class Widget;

class GrifoDisplayDevice: public QgScopeDevice
{
    Q_OBJECT

public:
    GrifoDisplayDevice(bool asWindow=false, QObject* parent=0);
    virtual ~GrifoDisplayDevice();

    QWidget* displayWidget();

private:
    class Implementation;
    Implementation& p_;
};

#endif // GRIFODISPLAYDEVICE_H
